pandoc-1.11.1: Conversion between markup formats

Portability | portable
Stability | alpha
Maintainer | Paul Rivier <paul*rivier#demotera*com>
Safe Haskell | None

Text.Pandoc.Readers.Textile

Description

Conversion from Textile to `Pandoc` document, based on the spec available at http:redcloth.org/textile.

Implemented and parsed: - Paragraphs - Code blocks - Lists - blockquote - Inlines : strong, emph, cite, code, deleted, superscript, subscript, links - footnotes - HTML-specific and CSS-specific attributes on headers

Left to be implemented: - dimension sign - all caps - continued blocks (ex bq..)

TODO : refactor common patterns across readers : - more ...

Synopsis

- readTextile :: ReaderOptions -> String -> Pandoc

# Documentation

readTextile

Arguments

:: ReaderOptions | Reader options
-> String | String to parse (assuming `'\n'` line endings)
-> Pandoc |

Parse a Textile text and return a Pandoc document.